{% extends 'base.html' %}


{% block content %}
	<header>
		<h1>Archetypy</h1>
	</header>
	
	<main>
		<ul>
			{% for primary_archetype_slug, primary_archetype in config["ARCHETYPES"].items() %}
				<li>
					<h2>{{ primary_archetype["names"]["neutral"] }}</h2>
					
					<ul>
						{%
							for secondary_archetype_slug, secondary_archetype
							in config["ARCHETYPES"].items()
							if secondary_archetype_slug != primary_archetype_slug
						%}
							<li>
								<a
									href="{{
										url_for(
											'calculator.view_archetype',
											primary_slug=primary_archetype_slug,
											secondary_slug=secondary_archetype_slug
										)
									}}"
								>{{ secondary_archetype["referers"]["neutral"] }}</a>
							</li>
						{% endfor %}
					</ul>
				</li>
			{% endfor %}
		</ul>
	</main>
{% endblock %}
